Skip to main content
`Ctrl`+`K`

# DMSwarmGetNumSpecies

Get the number of particle species

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetNumSpecies(DM sw, PetscInt *Ns)

Not Collective

## Input Parameter

- sw - the `DMSWARM`

## Output Parameters

- Ns - the number of species

## See Also

`DMSWARM`, `DMSwarmSetNumSpecies()`, `DMSwarmSetType()`, `DMSwarmType`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages